Name:		jcharts
Version:	0.7.5
Release:	4%{?dist}
Summary:	A java based charts library

Group:		Applications/Publishing
License:	BSD
URL:		http://jcharts.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/%{name}/jCharts-%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	java-devel >= 1:1.6.0
BuildRequires:	jpackage-utils
BuildRequires:	ant
BuildRequires:	batik
BuildRequires:	servlet25
Requires:	java >= 1:1.6.0
Requires:	batik
Requires:	jpackage-utils
Requires:	servlet25


%description
jCharts is a 100% Java based charting utility that outputs a variety 
of charts. This package has been designed from the ground up by 
volunteers for displaying charts via Servlets, JSP's, and Swing apps.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n jCharts-%{version}
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
sed -i 's/\r//' docs/jCharts_license.txt

%build
export CLASSPATH=$(build-classpath batik/batik-svggen batik/batik-dom batik/batik-awt-util tomcat6-servlet-2.5-api)

cd build
ant jar javadocs -Dant.build.javac.source=1.4
cd ..

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/jCharts-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/
ln -sf %{_javadir}/jCharts-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

#javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{_javadocdir}/%{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/README.html docs/jCharts_license.txt
%{_javadir}/%{name}.jar
%{_javadir}/jCharts-%{version}.jar

%files	javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}


%changelog
*Fri May 14 2010 Markus Mayer <lotharlutz@gmx.de> 0.7.5-4
-Add missing Requires: jpackage-utils
-Fix typo in changelog

*Tue May 11 2010 Markus Mayer <lotharlutz@gmx.de> 0.7.5-3
-Change BuildRequires to java-devel
-Change BuildRequires to use tomcat6
-Change Requires to java
-Add "Requires: java"

*Tue Apr 20 2010 Markus Mayer <lotharlutz@gmx.de> 0.7.5-2
-Add "License: BSD"

*Wed Apr  7 2010 Markus Mayer <lotharlutz@gmx.de> 0.7.5-1
-Initail RPM release
